Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class MethodJoinPoint

    java.lang.Object
      org.jboss.aop.JoinPoint
          org.jboss.aop.MethodJoinPoint

Direct Known Subclasses:
  MethodInfo

public class MethodJoinPoint
extends JoinPoint

This class is here to eliminate a hash lookup in invokeMethod

Field Summary
`Method` | `advisedMethod` Deprecated. use accessors instead
`long` | `hash` Deprecated. use accessors instead
`Method` | `unadvisedMethod` Deprecated. use accessors instead

Fields inherited from class org.jboss.aop.JoinPoint
`factories, factoryChain, interceptorChain, interceptors, joinpoint`

Constructor Summary
`MethodJoinPoint()`
`MethodJoinPoint(Class clazz, long hash, long unadvisedHash, Advisor advisor)`

Method Summary
`JoinPoint` | `copy()`
`Method` | `getAdvisedMethod()`
`long` | `getHash()`
`Method` | `getUnadvisedMethod()`
`protected Joinpoint` | `internalGetJoinpoint()`
`void` | `setAdvisedMethod(Method advisedMethod)`
`void` | `setHash(long hash)`
`void` | `setUnadvisedMethod(Method unadvisedMethod)`
`String` | `toString()`

Methods inherited from class org.jboss.aop.JoinPoint
`clear, equalChains, getAdvisor, getFactories, getFactoryChain, getInterceptorChain, getInterceptors, getJoinpoint, hasAdvices, initialiseInterceptors, setAdvisor, setFactories, setFactoryChain, setInterceptorChain, setInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### advisedMethod

    public Method advisedMethod

  Deprecated. use accessors instead

### unadvisedMethod

    public Method unadvisedMethod

  Deprecated. use accessors instead

### hash

    public long hash

  Deprecated. use accessors instead

Constructor Detail

### MethodJoinPoint

    public MethodJoinPoint()

### MethodJoinPoint

    public MethodJoinPoint(Class clazz,
                           long hash,
                           long unadvisedHash,
                           Advisor advisor)

Method Detail

### internalGetJoinpoint

    protected Joinpoint internalGetJoinpoint()

  Specified by:
    `internalGetJoinpoint` in class `JoinPoint`

### copy

    public JoinPoint copy()

  Specified by:
    `copy` in class `JoinPoint`

### getAdvisedMethod

    public Method getAdvisedMethod()

### setAdvisedMethod

    public void setAdvisedMethod(Method advisedMethod)

### getHash

    public long getHash()

### setHash

    public void setHash(long hash)

### getUnadvisedMethod

    public Method getUnadvisedMethod()

### setUnadvisedMethod

    public void setUnadvisedMethod(Method unadvisedMethod)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.